---
name: maxiv-jhub-hpc-environment-tomography-imquant
channels:
    # For most modules
    - conda-forge
dependencies:
    # Standard notebook modules
    - python==3.8.5
    - ipykernel==5.3.4
    - ipython_genutils=0.2.0
    # imquant module requirements
    - imageio==2.8.0
    - scipy==1.4.1
    - cytoolz==0.10.1
    - pandas==1.0.5
    - networkx==2.4
    - tifffile==2020.2.16
    - scikit-image==0.16.2
    - mkl==2019.5
    - mkl_fft==1.1.0
    - mkl_random==1.1.0
    - pandoc==2.9.2.1
    - blas==2.16
    - pyamg==4.0.0
    # Plotting utilities
    - matplotlib==3.3.2
    - widgetsnbextension==3.6.0
    - jupyterlab_widgets==1.0.0
    - ipywidgets==7.7.2
    - ipympl==0.7.0
    - nodejs==15.14.0
    # mayavi related modules
    - mayavi==4.7.2
    - vtk==8.2.0
    - ipyevents==0.7.1
    - PyOpenGL==3.1.5
    - ocl-icd-system==1.0.0
    - pyopencl==2019.1.2
    - xvfbwrapper==0.2.9
    # modules installed via pip
    - pip==20.2.3
    - pip:
          - edt==2.0.1
